package com.gyee.generation.util.statisticcs;

import com.gyee.generation.model.auto.*;

public class Initial {


    public static void initial(ProEconPowerstationInfoDay1 pepd) {


        /**
         * 日最大风速
         */
        pepd.setRzdfs(0.0);

        /**
         * 日最小风速
         */
        pepd.setRzxfs(0.0);

        /**
         * 日最大功率
         */
        pepd.setRzdgl(0.0);

        /**
         * 日最小功率
         */
        pepd.setRzxgl(0.0);

        /**
         * 日平均功率
         */
        pepd.setRpjgl(0.0);

        /**
         * 日平均风速
         */
        pepd.setRpjfs(0.0);

        /**
         * 日发电量
         */
        pepd.setRfdl(0.0);

        /**
         * 日可用电量
         */
        pepd.setRkydl(0.0);

        /**
         * 日理论发电量
         */
        pepd.setRllfdl(0.0);

        /**
         * 日故障损失电量
         */
        pepd.setRgzssdl(0.0);

        /**
         * 日场内受累故障损失电量
         */
        pepd.setRcnslgzssdl(0.0);

        /**
         * 日检修损失电量
         */
        pepd.setRjxssdl(0.0);

        /**
         * 日场内受累检修损失电量
         */
        pepd.setRcnsljxssdl(0.0);

        /**
         * 日待机损失电量
         */
        pepd.setRdjssdl(0.0);

        /**
         * 日缺陷降出力损失电量
         */
        pepd.setRqxjclssdl(0.0);

        /**
         * 日手动停机损失电量
         */
        pepd.setRsdtjssdl(0.0);

        /**
         * 日性能损失电量
         */
        pepd.setRxnssdl(0.0);

        /**
         * 日限电停机损失电量
         */
        pepd.setRxdtjssdl(0.0);

        /**
         * 日限电降出力损失电量
         */
        pepd.setRxdjclssdl(0.0);

        /**
         * 日场外受累电网损失电量
         */
        pepd.setRcwsldwssdl(0.0);

        /**
         * 日场外受累天气损失电量
         */
        pepd.setRcwsltqssdl(0.0);

        /**
         * 日增发电量
         */
        pepd.setRzfdl(0.0);

        /**
         * 日欠发电量
         */
        pepd.setRqfdl(0.0);

        /**
         * 月最大风速
         */
        pepd.setYzdfs(0.0);

        /**
         * 月最小风速
         */
        pepd.setYzxfs(0.0);

        /**
         * 月最大功率
         */
        pepd.setYzdgl(0.0);

        /**
         * 月最小功率
         */
        pepd.setYzxgl(0.0);

        /**
         * 月平均功率
         */
        pepd.setYpjgl(0.0);

        /**
         * 月平均风速
         */
        pepd.setYpjfs(0.0);

        /**
         * 月发电量
         */
        pepd.setYfdl(0.0);

        /**
         * 月可用电量
         */
        pepd.setYkydl(0.0);

        /**
         * 月理论发电量
         */
        pepd.setYllfdl(0.0);

        /**
         * 月故障损失电量
         */
        pepd.setYgzssdl(0.0);

        /**
         * 月场内受累故障损失电量
         */
        pepd.setYcnslgzssdl(0.0);

        /**
         * 月检修损失电量
         */
        pepd.setYjxssdl(0.0);

        /**
         * 月场内受累检修损失电量
         */
        pepd.setYcnsljxssdl(0.0);

        /**
         * 月待机损失电量
         */
        pepd.setYdjssdl(0.0);

        /**
         * 月缺陷降出力损失电量
         */
        pepd.setYqxjclssdl(0.0);

        /**
         * 月手动停机损失电量
         */
        pepd.setYsdtjssdl(0.0);

        /**
         * 月性能损失电量
         */
        pepd.setYxnssdl(0.0);

        /**
         * 月限电停机损失电量
         */
        pepd.setYxdtjssdl(0.0);

        /**
         * 月限电降出力损失电量
         */
        pepd.setYxdjclssdl(0.0);

        /**
         * 月场外受累电网损失电量
         */
        pepd.setYcwsldwssdl(0.0);

        /**
         * 月场外受累天气损失电量
         */
        pepd.setYcwsltqssdl(0.0);

        /**
         * 月增发电量
         */
        pepd.setYzfdl(0.0);

        /**
         * 月欠发电量
         */
        pepd.setYqfdl(0.0);

        /**
         * 年最大风速
         */
        pepd.setNzdfs(0.0);

        /**
         * 年最小风速
         */
        pepd.setNzxfs(0.0);

        /**
         * 年最大功率
         */
        pepd.setNzdgl(0.0);

        /**
         * 年最小功率
         */
        pepd.setNzxgl(0.0);

        /**
         * 年平均功率
         */
        pepd.setNpjgl(0.0);

        /**
         * 年平均风速
         */
        pepd.setNpjfs(0.0);

        /**
         * 年发电量
         */
        pepd.setNfdl(0.0);

        /**
         * 年可用电量
         */
        pepd.setNkydl(0.0);

        /**
         * 年理论发电量
         */
        pepd.setNllfdl(0.0);

        /**
         * 年故障损失电量
         */
        pepd.setNgzssdl(0.0);

        /**
         * 年场内受累故障损失电量
         */
        pepd.setNcnslgzssdl(0.0);

        /**
         * 年检修损失电量
         */
        pepd.setNjxssdl(0.0);

        /**
         * 年场内受累检修损失电量
         */
        pepd.setNcnsljxssdl(0.0);

        /**
         * 年待机损失电量
         */
        pepd.setNdjssdl(0.0);

        /**
         * 年缺陷降出力损失电量
         */
        pepd.setNqxjclssdl(0.0);

        /**
         * 年手动停机损失电量
         */
        pepd.setNsdtjssdl(0.0);

        /**
         * 年性能损失电量
         */
        pepd.setNxnssdl(0.0);

        /**
         * 年限电停机损失电量
         */
        pepd.setNxdtjssdl(0.0);

        /**
         * 年限电降出力损失电量
         */
        pepd.setNxdjclssdl(0.0);

        /**
         * 年场外受累电网损失电量
         */
        pepd.setNcwsldwssdl(0.0);

        /**
         * 年场外受累天气损失电量
         */
        pepd.setNcwsltqssdl(0.0);

        /**
         * 年增发电量
         */
        pepd.setNzfdl(0.0);

        /**
         * 年欠发电量
         */
        pepd.setNqfdl(0.0);

        /**
         * 日自耗电
         */
        pepd.setRzhd(0.0);

        /**
         * 月自耗电
         */
        pepd.setYzhd(0.0);

        /**
         * 年自耗电
         */
        pepd.setNzhd(0.0);
    }

    public static void initial(ProEconPowerstationInfoDay2 pepd) {

        /**
         * 日合计故障小时（明细）
         */
        pepd.setRhjgzxsmx(0.0);

        /**
         * 日合计场内受累故障小时（明细）
         */
        pepd.setRhjcnslgzxsmx(0.0);

        /**
         * 日合计检修小时（明细）
         */
        pepd.setRhjjxxsmx(0.0);

        /**
         * 日合计场内受累检修小时（明细）
         */
        pepd.setRhjcnsljxxsmx(0.0);

        /**
         * 日合计待机小时（明细）
         */
        pepd.setRhjdjxsmx(0.0);

        /**
         * 日合计缺陷降出力小时（明细）
         */
        pepd.setRhjqxjclxsmx(0.0);

        /**
         * 日合计手动停机小时（明细）
         */
        pepd.setRhjsdtjxsmx(0.0);

        /**
         * 日合计性能小时（明细）
         */
        pepd.setRhjbwxsmx(0.0);

        /**
         * 日合计限电停机小时（明细）
         */
        pepd.setRhjxdtjxsmx(0.0);

        /**
         * 日合计限电降出力小时（明细）
         */
        pepd.setRhjxdjclxsmx(0.0);

        /**
         * 日合计场外受累电网小时（明细）
         */
        pepd.setRhjcwsldwxsmx(0.0);

        /**
         * 日合计场外受累天气小时（明细）
         */
        pepd.setRhjcwsltqxsmx(0.0);

        /**
         * 日合计离线小时（明细）
         */
        pepd.setRhjlxxsmx(0.0);

        /**
         * 日合计通讯中断小时（明细）
         */
        pepd.setRhjtxzdxsmx(0.0);

        /**
         * 日合计待机小时
         */
        pepd.setRhjdjxs(0.0);

        /**
         * 日合计故障停机小时
         */
        pepd.setRhjgztjxs(0.0);

        /**
         * 日合计通讯中断小时
         */
        pepd.setRhjtxzdxs(0.0);

        /**
         * 日合计维护停机小时
         */
        pepd.setRhjjxtjxs(0.0);

        /**
         * 日合计限电小时
         */
        pepd.setRhjxdxs(0.0);

        /**
         * 日合计运行小时
         */
        pepd.setRhjyxxs(0.0);

        /**
         * 月合计故障小时（明细）
         */
        pepd.setYhjgzxsmx(0.0);

        /**
         * 月合计场内受累故障小时（明细）
         */
        pepd.setYhjcnslgzxsmx(0.0);

        /**
         * 月合计检修小时（明细）
         */
        pepd.setYhjjxxsmx(0.0);

        /**
         * 月合计场内受累检修小时（明细）
         */
        pepd.setYhjcnsljxxsmx(0.0);

        /**
         * 月合计待机小时（明细）
         */
        pepd.setYhjdjxsmx(0.0);

        /**
         * 月合计缺陷降出力小时（明细）
         */
        pepd.setYhjqxjclxsmx(0.0);

        /**
         * 月合计手动停机小时（明细）
         */
        pepd.setYhjsdtjxsmx(0.0);

        /**
         * 月合计性能小时（明细）
         */
        pepd.setYhjbwxsmx(0.0);

        /**
         * 月合计限电停机小时（明细）
         */
        pepd.setYhjxdtjxsmx(0.0);

        /**
         * 月合计限电降出力小时（明细）
         */
        pepd.setYhjxdjclxsmx(0.0);

        /**
         * 月合计场外受累电网小时（明细）
         */
        pepd.setYhjcwsldwxsmx(0.0);

        /**
         * 月合计场外受累天气小时（明细）
         */
        pepd.setYhjcwsltqxsmx(0.0);

        /**
         * 月合计离线小时（明细）
         */
        pepd.setYhjlxxsmx(0.0);

        /**
         * 月合计通讯中断小时（明细）
         */
        pepd.setYhjtxzdxsmx(0.0);

        /**
         * 月合计待机小时
         */
        pepd.setYhjdjxs(0.0);

        /**
         * 月合计故障停机小时
         */
        pepd.setYhjgztjxs(0.0);

        /**
         * 月合计通讯中断小时
         */
        pepd.setYhjtxzdxs(0.0);

        /**
         * 月合计维护停机小时
         */
        pepd.setYhjjxtjxs(0.0);

        /**
         * 月合计限电小时
         */
        pepd.setYhjxdxs(0.0);

        /**
         * 月合计运行小时
         */
        pepd.setYhjyxxs(0.0);

        /**
         * 年合计故障小时（明细）
         */
        pepd.setNhjgzxsmx(0.0);

        /**
         * 年合计场内受累故障小时（明细）
         */
        pepd.setNhjcnslgzxsmx(0.0);

        /**
         * 年合计检修小时（明细）
         */
        pepd.setNhjjxxsmx(0.0);

        /**
         * 年合计场内受累检修小时（明细）
         */
        pepd.setNhjcnsljxxsmx(0.0);

        /**
         * 年合计待机小时（明细）
         */
        pepd.setNhjdjxsmx(0.0);

        /**
         * 年合计缺陷降出力小时（明细）
         */
        pepd.setNhjqxjclxsmx(0.0);

        /**
         * 年合计手动停机小时（明细）
         */
        pepd.setNhjsdtjxsmx(0.0);

        /**
         * 年合计性能小时（明细）
         */
        pepd.setNhjbwxsmx(0.0);

        /**
         * 年合计限电停机小时（明细）
         */
        pepd.setNhjxdtjxsmx(0.0);

        /**
         * 年合计限电降出力小时（明细）
         */
        pepd.setNhjxdjclxsmx(0.0);

        /**
         * 年合计场外受累电网小时（明细）
         */
        pepd.setNhjcwsldwxsmx(0.0);

        /**
         * 年合计场外受累天气小时（明细）
         */
        pepd.setNhjcwsltqxsmx(0.0);

        /**
         * 年合计离线小时（明细）
         */
        pepd.setNhjlxxsmx(0.0);

        /**
         * 年合计通讯中断小时（明细）
         */
        pepd.setNhjtxzdxsmx(0.0);

        /**
         * 年合计待机小时
         */
        pepd.setNhjdjxs(0.0);

        /**
         * 年合计故障停机小时
         */
        pepd.setNhjgztjxs(0.0);

        /**
         * 年合计通讯中断小时
         */
        pepd.setNhjtxzdxs(0.0);

        /**
         * 年合计维护停机小时
         */
        pepd.setNhjjxtjxs(0.0);

        /**
         * 年合计限电小时
         */
        pepd.setNhjxdxs(0.0);

        /**
         * 年合计运行小时
         */
        pepd.setNhjyxxs(0.0);
    }


    public static void initial(ProEconPowerstationInfoDay3 pepd) {


        /**
         * 日合计故障次数（明细）
         */
        pepd.setRhjgzcsmx(0.0);

        /**
         * 日合计场内受累故障次数（明细）
         */
        pepd.setRhjcnslgzcsmx(0.0);

        /**
         * 日合计检修次数（明细）
         */
        pepd.setRhjjxcsmx(0.0);

        /**
         * 日合计场内受累检修次数（明细）
         */
        pepd.setRhjcnsljxcsmx(0.0);

        /**
         * 日合计待机次数（明细）
         */
        pepd.setRhjdjcsmx(0.0);

        /**
         * 日合计缺陷降出力次数（明细）
         */
        pepd.setRhjqxjclcsmx(0.0);

        /**
         * 日合计手动停机次数（明细）
         */
        pepd.setRhjsdtjcsmx(0.0);

        /**
         * 日合计并网次数（明细）
         */
        pepd.setRhjbwcsmx(0.0);

        /**
         * 日合计限电停机次数（明细）
         */
        pepd.setRhjxdtjcsmx(0.0);

        /**
         * 日合计限电降出力次数（明细）
         */
        pepd.setRhjxdjclcsmx(0.0);

        /**
         * 日合计场外受累电网次数（明细）
         */
        pepd.setRhjcwsldwcsmx(0.0);

        /**
         * 日合计场外受累天气次数（明细）
         */
        pepd.setRhjcwsltqcsmx(0.0);

        /**
         * 日合计离线次数（明细）
         */
        pepd.setRhjlxcsmx(0.0);

        /**
         * 日合计通讯中断次数（明细）
         */
        pepd.setRhjtxzdcsmx(0.0);

        /**
         * 日合计待机次数
         */
        pepd.setRhjdjcs(0.0);

        /**
         * 日合计故障停机次数
         */
        pepd.setRhjgztjcs(0.0);

        /**
         * 日合计通讯中断次数
         */
        pepd.setRhjtxzdcs(0.0);

        /**
         * 日合计检修停机次数
         */
        pepd.setRhjjxtjcs(0.0);

        /**
         * 日合计限电次数
         */
        pepd.setRhjxdcs(0.0);

        /**
         * 日合计运行次数
         */
        pepd.setRhjyxcs(0.0);

        /**
         * 月合计故障次数（明细）
         */
        pepd.setYhjgzcsmx(0.0);

        /**
         * 月合计场内受累故障次数（明细）
         */
        pepd.setYhjcnslgzcsmx(0.0);

        /**
         * 月合计检修次数（明细）
         */
        pepd.setYhjjxcsmx(0.0);

        /**
         * 月合计场内受累检修次数（明细）
         */
        pepd.setYhjcnsljxcsmx(0.0);

        /**
         * 月合计待机次数（明细）
         */
        pepd.setYhjdjcsmx(0.0);

        /**
         * 月合计缺陷降出力次数（明细）
         */
        pepd.setYhjqxjclcsmx(0.0);

        /**
         * 月合计手动停机次数（明细）
         */
        pepd.setYhjsdtjcsmx(0.0);

        /**
         * 月合计并网次数（明细）
         */
        pepd.setYhjbwcsmx(0.0);

        /**
         * 月合计限电停机次数（明细）
         */
        pepd.setYhjxdtjcsmx(0.0);

        /**
         * 月合计限电降出力次数（明细）
         */
        pepd.setYhjxdjclcsmx(0.0);

        /**
         * 月合计场外受累电网次数（明细）
         */
        pepd.setYhjcwsldwcsmx(0.0);

        /**
         * 月合计场外受累天气次数（明细）
         */
        pepd.setYhjcwsltqcsmx(0.0);

        /**
         * 月合计离线次数（明细）
         */
        pepd.setYhjlxcsmx(0.0);

        /**
         * 月合计通讯中断次数（明细）
         */
        pepd.setYhjtxzdcsmx(0.0);

        /**
         * 月合计待机次数
         */
        pepd.setYhjdjcs(0.0);

        /**
         * 月合计故障停机次数
         */
        pepd.setYhjgztjcs(0.0);

        /**
         * 月合计通讯中断次数
         */
        pepd.setYhjtxzdcs(0.0);

        /**
         * 月合计检修停机次数
         */
        pepd.setYhjjxtjcs(0.0);

        /**
         * 月合计限电次数
         */
        pepd.setYhjxdcs(0.0);

        /**
         * 月合计运行次数
         */
        pepd.setYhjyxcs(0.0);

        /**
         * 年合计故障次数（明细）
         */
        pepd.setNhjgzcsmx(0.0);

        /**
         * 年合计场内受累故障次数（明细）
         */
        pepd.setNhjcnslgzcsmx(0.0);

        /**
         * 年合计检修次数（明细）
         */
        pepd.setNhjjxcsmx(0.0);

        /**
         * 年合计场内受累检修次数（明细）
         */
        pepd.setNhjcnsljxcsmx(0.0);

        /**
         * 年合计待机次数（明细）
         */
        pepd.setNhjdjcsmx(0.0);

        /**
         * 年合计缺陷降出力次数（明细）
         */
        pepd.setNhjqxjclcsmx(0.0);

        /**
         * 年合计手动停机次数（明细）
         */
        pepd.setNhjsdtjcsmx(0.0);

        /**
         * 年合计并网次数（明细）
         */
        pepd.setNhjbwcsmx(0.0);

        /**
         * 年合计限电停机次数（明细）
         */
        pepd.setNhjxdtjcsmx(0.0);

        /**
         * 年合计限电降出力次数（明细）
         */
        pepd.setNhjxdjclcsmx(0.0);

        /**
         * 年合计场外受累电网次数（明细）
         */
        pepd.setNhjcwsldwcsmx(0.0);

        /**
         * 年合计场外受累天气次数（明细）
         */
        pepd.setNhjcwsltqcsmx(0.0);

        /**
         * 年合计离线次数（明细）
         */
        pepd.setNhjlxcsmx(0.0);

        /**
         * 年合计通讯中断次数（明细）
         */
        pepd.setNhjtxzdcsmx(0.0);

        /**
         * 年合计待机次数
         */
        pepd.setNhjdjcs(0.0);

        /**
         * 年合计故障停机次数
         */
        pepd.setNhjgztjcs(0.0);

        /**
         * 年合计通讯中断次数
         */
        pepd.setNhjtxzdcs(0.0);

        /**
         * 年合计检修停机次数
         */
        pepd.setNhjjxtjcs(0.0);

        /**
         * 年合计限电次数
         */
        pepd.setNhjxdcs(0.0);

        /**
         * 年合计运行次数
         */
        pepd.setNhjyxcs(0.0);

        /**
         * 日合计受累次数
         */
        pepd.setRhjslcs(0.0);

        /**
         * 月合计受累次数
         */
        pepd.setYhjslcs(0.0);

        /**
         * 年合计受累次数
         */
        pepd.setNhjslcs(0.0);

    }

    public static void initial(ProEconPowerstationInfoDay5 pepd) {


        /**
         * 日发电量(电表)
         */
        pepd.setRfdldb(0.0);

        /**
         * 日上网电量(电表)
         */
        pepd.setRswdldb(0.0);

        /**
         * 日工网购网电量(电表)
         */
        pepd.setRgwgwdldb(0.0);

        /**
         * 日农网购网电量(电表)
         */
        pepd.setRnwgwdldb(0.0);

        /**
         * 日综合场用电量(电表)
         */
        pepd.setRzhcydldb(0.0);

        /**
         * 日发电厂用电量(电表)
         */
        pepd.setRfdcydldb(0.0);

        /**
         * 月发电量(电表)
         */
        pepd.setYfdldb(0.0);

        /**
         * 月上网电量(电表)
         */
        pepd.setYswdldb(0.0);

        /**
         * 月工网购网电量(电表)
         */
        pepd.setYgwgwdldb(0.0);

        /**
         * 月农网购网电量(电表)
         */
        pepd.setYnwgwdldb(0.0);

        /**
         * 月综合场用电量(电表)
         */
        pepd.setYzhcydldb(0.0);

        /**
         * 月发电厂用电量(电表)
         */
        pepd.setYfdcydldb(0.0);

        /**
         * 年发电量(电表)
         */
        pepd.setNfdldb(0.0);

        /**
         * 年上网电量(电表)
         */
        pepd.setNswdldb(0.0);

        /**
         * 年工网购网电量(电表)
         */
        pepd.setNgwgwdldb(0.0);

        /**
         * 年农网购网电量(电表)
         */
        pepd.setNnwgwdldb(0.0);

        /**
         * 年综合场用电量(电表)
         */
        pepd.setNzhcydldb(0.0);

        /**
         * 年发电厂用电量(电表)
         */
        pepd.setNfdcydldb(0.0);


    }

    public static void initial(ProEconPowerstationInfoDay6 pepd) {
        /**
         * 日最大风速（测风塔）
         */
        pepd.setRzdfscft(0.0);

        /**
         * 日最小风速（测风塔）
         */
        pepd.setRzxfscft(0.0);

        /**
         * 日最大功率（出线）
         */
        pepd.setRzdglcx(0.0);

        /**
         * 日最小功率（出线）
         */
        pepd.setRzxglcx(0.0);

        /**
         * 日平均功率（出线）
         */
        pepd.setRpjglcx(0.0);

        /**
         * 日平均风速（测风塔）
         */
        pepd.setRpjfscft(0.0);

        /**
         * 月最大风速（测风塔）
         */
        pepd.setYzdfscft(0.0);

        /**
         * 月最小风速（测风塔）
         */
        pepd.setYzxfscft(0.0);

        /**
         * 月最大功率（出线）
         */
        pepd.setYzdglcx(0.0);

        /**
         * 月最小功率（出线）
         */
        pepd.setYzxglcx(0.0);

        /**
         * 月平均功率（出线）
         */
        pepd.setYpjglcx(0.0);

        /**
         * 月平均风速（测风塔）
         */
        pepd.setYpjfscft(0.0);

        /**
         * 年最大风速（测风塔）
         */
        pepd.setNzdfscft(0.0);

        /**
         * 年最小风速（测风塔）
         */
        pepd.setNzxfscft(0.0);

        /**
         * 年最大功率（出线）
         */
        pepd.setNzdglcx(0.0);

        /**
         * 年最小功率（出线）
         */
        pepd.setNzxglcx(0.0);

        /**
         * 年平均功率（出线）
         */
        pepd.setNpjglcx(0.0);

        /**
         * 年平均风速（测风塔）
         */
        pepd.setNpjfscft(0.0);
    }

    public static void initial(ProEconEquipmentInfoDay1 pepd) {
        /**
         * 日最大风速
         */
        pepd.setRzdfs(0.0);

        /**
         * 日最小风速
         */
        pepd.setRzxfs(0.0);

        /**
         * 日最大功率
         */
        pepd.setRzdgl(0.0);

        /**
         * 日最小功率
         */
        pepd.setRzxgl(0.0);

        /**
         * 日平均功率
         */
        pepd.setRpjgl(0.0);

        /**
         * 日平均风速
         */
        pepd.setRpjfs(0.0);

        /**
         * 日发电量
         */
        pepd.setRfdl(0.0);

        /**
         * 日可用电量
         */
        pepd.setRkydl(0.0);

        /**
         * 日理论发电量
         */
        pepd.setRllfdl(0.0);

        /**
         * 日故障损失电量
         */
        pepd.setRgzssdl(0.0);

        /**
         * 日场内受累故障损失电量
         */
        pepd.setRcnslgzssdl(0.0);

        /**
         * 日检修损失电量
         */
        pepd.setRjxssdl(0.0);

        /**
         * 日场内受累检修损失电量
         */
        pepd.setRcnsljxssdl(0.0);

        /**
         * 日待机损失电量
         */
        pepd.setRdjssdl(0.0);

        /**
         * 日缺陷降出力损失电量
         */
        pepd.setRqxjclssdl(0.0);

        /**
         * 日手动停机损失电量
         */
        pepd.setRsdtjssdl(0.0);

        /**
         * 日性能损失电量
         */
        pepd.setRxnssdl(0.0);

        /**
         * 日限电停机损失电量
         */
        pepd.setRxdtjssdl(0.0);

        /**
         * 日限电降出力损失电量
         */
        pepd.setRxdjclssdl(0.0);

        /**
         * 日场外受累电网损失电量
         */
        pepd.setRcwsldwssdl(0.0);

        /**
         * 日场外受累天气损失电量
         */
        pepd.setRcwsltqssdl(0.0);

        /**
         * 日增发电量
         */
        pepd.setRzfdl(0.0);

        /**
         * 日欠发电量
         */
        pepd.setRqfdl(0.0);

        /**
         * 月最大风速
         */
        pepd.setYzdfs(0.0);

        /**
         * 月最小风速
         */
        pepd.setYzxfs(0.0);

        /**
         * 月最大功率
         */
        pepd.setYzdgl(0.0);

        /**
         * 月最小功率
         */
        pepd.setYzxgl(0.0);

        /**
         * 月平均功率
         */
        pepd.setYpjgl(0.0);

        /**
         * 月平均风速
         */
        pepd.setYpjfs(0.0);

        /**
         * 月发电量
         */
        pepd.setYfdl(0.0);

        /**
         * 月可用电量
         */
        pepd.setYkydl(0.0);

        /**
         * 月理论发电量
         */
        pepd.setYllfdl(0.0);

        /**
         * 月故障损失电量
         */
        pepd.setYgzssdl(0.0);

        /**
         * 月场内受累故障损失电量
         */
        pepd.setYcnslgzssdl(0.0);

        /**
         * 月检修损失电量
         */
        pepd.setYjxssdl(0.0);

        /**
         * 月场内受累检修损失电量
         */
        pepd.setYcnsljxssdl(0.0);

        /**
         * 月待机损失电量
         */
        pepd.setYdjssdl(0.0);

        /**
         * 月缺陷降出力损失电量
         */
        pepd.setYqxjclssdl(0.0);

        /**
         * 月手动停机损失电量
         */
        pepd.setYsdtjssdl(0.0);

        /**
         * 月性能损失电量
         */
        pepd.setYxnssdl(0.0);

        /**
         * 月限电停机损失电量
         */
        pepd.setYxdtjssdl(0.0);

        /**
         * 月限电降出力损失电量
         */
        pepd.setYxdjclssdl(0.0);

        /**
         * 月场外受累电网损失电量
         */
        pepd.setYcwsldwssdl(0.0);

        /**
         * 月场外受累天气损失电量
         */
        pepd.setYcwsltqssdl(0.0);

        /**
         * 月增发电量
         */
        pepd.setYzfdl(0.0);

        /**
         * 月欠发电量
         */
        pepd.setYqfdl(0.0);

        /**
         * 年最大风速
         */
        pepd.setNzdfs(0.0);

        /**
         * 年最小风速
         */
        pepd.setNzxfs(0.0);

        /**
         * 年最大功率
         */
        pepd.setNzdgl(0.0);

        /**
         * 年最小功率
         */
        pepd.setNzxgl(0.0);

        /**
         * 年平均功率
         */
        pepd.setNpjgl(0.0);

        /**
         * 年平均风速
         */
        pepd.setNpjfs(0.0);

        /**
         * 年发电量
         */
        pepd.setNfdl(0.0);

        /**
         * 年可用电量
         */
        pepd.setNkydl(0.0);

        /**
         * 年理论发电量
         */
        pepd.setNllfdl(0.0);

        /**
         * 年故障损失电量
         */
        pepd.setNgzssdl(0.0);

        /**
         * 年场内受累故障损失电量
         */
        pepd.setNcnslgzssdl(0.0);

        /**
         * 年检修损失电量
         */
        pepd.setNjxssdl(0.0);

        /**
         * 年场内受累检修损失电量
         */
        pepd.setNcnsljxssdl(0.0);

        /**
         * 年待机损失电量
         */
        pepd.setNdjssdl(0.0);

        /**
         * 年缺陷降出力损失电量
         */
        pepd.setNqxjclssdl(0.0);

        /**
         * 年手动停机损失电量
         */
        pepd.setNsdtjssdl(0.0);

        /**
         * 年性能损失电量
         */
        pepd.setNxnssdl(0.0);

        /**
         * 年限电停机损失电量
         */
        pepd.setNxdtjssdl(0.0);

        /**
         * 年限电降出力损失电量
         */
        pepd.setNxdjclssdl(0.0);

        /**
         * 年场外受累电网损失电量
         */
        pepd.setNcwsldwssdl(0.0);

        /**
         * 年场外受累天气损失电量
         */
        pepd.setNcwsltqssdl(0.0);

        /**
         * 年增发电量
         */
        pepd.setNzfdl(0.0);

        /**
         * 年欠发电量
         */
        pepd.setNqfdl(0.0);

        /**
         * 日自耗电
         */
        pepd.setRzhd(0.0);

        /**
         * 月自耗电
         */
        pepd.setYzhd(0.0);

        /**
         * 年自耗电
         */
        pepd.setNzhd(0.0);

    }

    public static void initial(ProEconEquipmentInfoDay2 pepd) {
        /**
         * 日故障小时（明细）
         */
        pepd.setRgzxsmx(0.0);

        /**
         * 日场内受累故障小时（明细）
         */
        pepd.setRcnslgzxsmx(0.0);

        /**
         * 日检修小时（明细）
         */
        pepd.setRjxxsmx(0.0);

        /**
         * 日场内受累检修小时（明细）
         */
        pepd.setRcnsljxxsmx(0.0);

        /**
         * 日待机小时（明细）
         */
        pepd.setRdjxsmx(0.0);

        /**
         * 日缺陷降出力小时（明细）
         */
        pepd.setRqxjclxsmx(0.0);

        /**
         * 日手动停机小时（明细）
         */
        pepd.setRsdtjxsmx(0.0);

        /**
         * 日并网小时（明细）
         */
        pepd.setRbwxsmx(0.0);

        /**
         * 日限电停机小时（明细）
         */
        pepd.setRxdtjxsmx(0.0);

        /**
         * 日限电降出力小时（明细）
         */
        pepd.setRxdjclxsmx(0.0);

        /**
         * 日场外受累电网小时（明细）
         */
        pepd.setRcwsldwxsmx(0.0);

        /**
         * 日场外受累天气小时（明细）
         */
        pepd.setRcwsltqxsmx(0.0);

        /**
         * 日离线小时（明细）
         */
        pepd.setRlxxsmx(0.0);

        /**
         * 日通讯中断小时（明细）
         */
        pepd.setRtxzdxsmx(0.0);

        /**
         * 日待机小时
         */
        pepd.setRdjxs(0.0);

        /**
         * 日故障停机小时
         */
        pepd.setRgztjxs(0.0);

        /**
         * 日通讯中断小时
         */
        pepd.setRtxzdxs(0.0);

        /**
         * 日维护停机小时
         */
        pepd.setRjxtjxs(0.0);

        /**
         * 日限电小时
         */
        pepd.setRxdxs(0.0);

        /**
         * 日运行小时
         */
        pepd.setRyxxs(0.0);

        /**
         * 月故障小时（明细）
         */
        pepd.setYgzxsmx(0.0);

        /**
         * 月场内受累故障小时（明细）
         */
        pepd.setYcnslgzxsmx(0.0);

        /**
         * 月检修小时（明细）
         */
        pepd.setYjxxsmx(0.0);

        /**
         * 月场内受累检修小时（明细）
         */
        pepd.setYcnsljxxsmx(0.0);

        /**
         * 月待机小时（明细）
         */
        pepd.setYdjxsmx(0.0);

        /**
         * 月缺陷降出力小时（明细）
         */
        pepd.setYqxjclxsmx(0.0);

        /**
         * 月手动停机小时（明细）
         */
        pepd.setYsdtjxsmx(0.0);

        /**
         * 月并网小时（明细）
         */
        pepd.setYbwxsmx(0.0);

        /**
         * 月限电停机小时（明细）
         */
        pepd.setYxdtjxsmx(0.0);

        /**
         * 月限电降出力小时（明细）
         */
        pepd.setYxdjclxsmx(0.0);

        /**
         * 月场外受累电网小时（明细）
         */
        pepd.setYcwsldwxsmx(0.0);

        /**
         * 月场外受累天气小时（明细）
         */
        pepd.setYcwsltqxsmx(0.0);

        /**
         * 月离线小时（明细）
         */
        pepd.setYlxxsmx(0.0);

        /**
         * 月通讯中断小时（明细）
         */
        pepd.setYtxzdxsmx(0.0);

        /**
         * 月待机小时
         */
        pepd.setYdjxs(0.0);

        /**
         * 月故障停机小时
         */
        pepd.setYgztjxs(0.0);

        /**
         * 月通讯中断小时
         */
        pepd.setYtxzdxs(0.0);

        /**
         * 月维护停机小时
         */
        pepd.setYjxtjxs(0.0);

        /**
         * 月限电小时
         */
        pepd.setYxdxs(0.0);

        /**
         * 月运行小时
         */
        pepd.setYyxxs(0.0);

        /**
         * 年故障小时（明细）
         */
        pepd.setNgzxsmx(0.0);

        /**
         * 年场内受累故障小时（明细）
         */
        pepd.setNcnslgzxsmx(0.0);

        /**
         * 年检修小时（明细）
         */
        pepd.setNjxxsmx(0.0);

        /**
         * 年场内受累检修小时（明细）
         */
        pepd.setNcnsljxxsmx(0.0);

        /**
         * 年待机小时（明细）
         */
        pepd.setNdjxsmx(0.0);

        /**
         * 年缺陷降出力小时（明细）
         */
        pepd.setNqxjclxsmx(0.0);

        /**
         * 年手动停机小时（明细）
         */
        pepd.setNsdtjxsmx(0.0);

        /**
         * 年并网小时（明细）
         */
        pepd.setNbwxsmx(0.0);

        /**
         * 年限电停机小时（明细）
         */
        pepd.setNxdtjxsmx(0.0);

        /**
         * 年限电降出力小时（明细）
         */
        pepd.setNxdjclxsmx(0.0);

        /**
         * 年场外受累电网小时（明细）
         */
        pepd.setNcwsldwxsmx(0.0);

        /**
         * 年场外受累天气小时（明细）
         */
        pepd.setNcwsltqxsmx(0.0);

        /**
         * 年离线小时（明细）
         */
        pepd.setNlxxsmx(0.0);

        /**
         * 年通讯中断小时（明细）
         */
        pepd.setNtxzdxsmx(0.0);

        /**
         * 年待机小时
         */
        pepd.setNdjxs(0.0);

        /**
         * 年故障停机小时
         */
        pepd.setNgztjxs(0.0);

        /**
         * 年通讯中断小时
         */
        pepd.setNtxzdxs(0.0);

        /**
         * 年维护停机小时
         */
        pepd.setNjxtjxs(0.0);

        /**
         * 年限电小时
         */
        pepd.setNxdxs(0.0);

        /**
         * 年运行小时
         */
        pepd.setNyxxs(0.0);

        /**
         * 日受累小时
         */
        pepd.setRslxs(0.0);

        /**
         * 月受累小时
         */
        pepd.setYslxs(0.0);

        /**
         * 年受累小时
         */
        pepd.setNslxs(0.0);
    }

    public static void initial(ProEconEquipmentInfoDay3 pepd) {
        /**
         * 日故障次数（明细）
         */
        pepd.setRgzcsmx(0.0);

        /**
         * 日场内受累故障次数（明细）
         */
        pepd.setRcnslgzcsmx(0.0);

        /**
         * 日检修次数（明细）
         */
        pepd.setRjxcsmx(0.0);

        /**
         * 日场内受累检修次数（明细）
         */
        pepd.setRcnsljxcsmx(0.0);

        /**
         * 日待机次数（明细）
         */
        pepd.setRdjcsmx(0.0);

        /**
         * 日缺陷降出力次数（明细）
         */
        pepd.setRqxjclcsmx(0.0);

        /**
         * 日手动停机次数（明细）
         */
        pepd.setRsdtjcsmx(0.0);

        /**
         * 日并网次数（明细）
         */
        pepd.setRbwcsmx(0.0);

        /**
         * 日限电停机次数（明细）
         */
        pepd.setRxdtjcsmx(0.0);

        /**
         * 日限电降出力次数（明细）
         */
        pepd.setRxdjclcsmx(0.0);

        /**
         * 日场外受累电网次数（明细）
         */
        pepd.setRcwsldwcsmx(0.0);

        /**
         * 日场外受累天气次数（明细）
         */
        pepd.setRcwsltqcsmx(0.0);

        /**
         * 日离线次数（明细）
         */
        pepd.setRlxcsmx(0.0);

        /**
         * 日通讯中断次数（明细）
         */
        pepd.setRtxzdcsmx(0.0);

        /**
         * 日待机次数
         */
        pepd.setRdjcs(0.0);

        /**
         * 日故障停机次数
         */
        pepd.setRgztjcs(0.0);

        /**
         * 日通讯中断次数
         */
        pepd.setRtxzdcs(0.0);

        /**
         * 日维护停机次数
         */
        pepd.setRjxtjcs(0.0);

        /**
         * 日限电次数
         */
        pepd.setRxdcs(0.0);

        /**
         * 日运行次数
         */
        pepd.setRyxcs(0.0);

        /**
         * 月故障次数（明细）
         */
        pepd.setYgzcsmx(0.0);

        /**
         * 月场内受累故障次数（明细）
         */
        pepd.setYcnslgzcsmx(0.0);

        /**
         * 月检修次数（明细）
         */
        pepd.setYjxcsmx(0.0);

        /**
         * 月场内受累检修次数（明细）
         */
        pepd.setYcnsljxcsmx(0.0);

        /**
         * 月待机次数（明细）
         */
        pepd.setYdjcsmx(0.0);

        /**
         * 月缺陷降出力次数（明细）
         */
        pepd.setYqxjclcsmx(0.0);

        /**
         * 月手动停机次数（明细）
         */
        pepd.setYsdtjcsmx(0.0);

        /**
         * 月并网次数（明细）
         */
        pepd.setYbwcsmx(0.0);

        /**
         * 月限电停机次数（明细）
         */
        pepd.setYxdtjcsmx(0.0);

        /**
         * 月限电降出力次数（明细）
         */
        pepd.setYxdjclcsmx(0.0);

        /**
         * 月场外受累电网次数（明细）
         */
        pepd.setYcwsldwcsmx(0.0);

        /**
         * 月场外受累天气次数（明细）
         */
        pepd.setYcwsltqcsmx(0.0);

        /**
         * 月离线次数（明细）
         */
        pepd.setYlxcsmx(0.0);

        /**
         * 月通讯中断次数（明细）
         */
        pepd.setYtxzdcsmx(0.0);

        /**
         * 月待机次数
         */
        pepd.setYdjcs(0.0);

        /**
         * 月故障停机次数
         */
        pepd.setYgztjcs(0.0);

        /**
         * 月通讯中断次数
         */
        pepd.setYtxzdcs(0.0);

        /**
         * 月维护停机次数
         */
        pepd.setYjxtjcs(0.0);

        /**
         * 月限电次数
         */
        pepd.setYxdcs(0.0);

        /**
         * 月运行次数
         */
        pepd.setYyxcs(0.0);

        /**
         * 年故障次数（明细）
         */
        pepd.setNgzcsmx(0.0);

        /**
         * 年场内受累故障次数（明细）
         */
        pepd.setNcnslgzcsmx(0.0);

        /**
         * 年检修次数（明细）
         */
        pepd.setNjxcsmx(0.0);

        /**
         * 年场内受累检修次数（明细）
         */
        pepd.setNcnsljxcsmx(0.0);

        /**
         * 年待机次数（明细）
         */
        pepd.setNdjcsmx(0.0);

        /**
         * 年缺陷降出力次数（明细）
         */
        pepd.setNqxjclcsmx(0.0);

        /**
         * 年手动停机次数（明细）
         */
        pepd.setNsdtjcsmx(0.0);

        /**
         * 年并网次数（明细）
         */
        pepd.setNbwcsmx(0.0);

        /**
         * 年限电停机次数（明细）
         */
        pepd.setNxdtjcsmx(0.0);

        /**
         * 年限电降出力次数（明细）
         */
        pepd.setNxdjclcsmx(0.0);

        /**
         * 年场外受累电网次数（明细）
         */
        pepd.setNcwsldwcsmx(0.0);

        /**
         * 年场外受累天气次数（明细）
         */
        pepd.setNcwsltqcsmx(0.0);

        /**
         * 年离线次数（明细）
         */
        pepd.setNlxcsmx(0.0);

        /**
         * 年通讯中断次数（明细）
         */
        pepd.setNtxzdcsmx(0.0);

        /**
         * 年待机次数
         */
        pepd.setNdjcs(0.0);

        /**
         * 年故障停机次数
         */
        pepd.setNgztjcs(0.0);

        /**
         * 年通讯中断次数
         */
        pepd.setNtxzdcs(0.0);

        /**
         * 年维护停机次数
         */
        pepd.setNjxtjcs(0.0);

        /**
         * 年限电次数
         */
        pepd.setNxdcs(0.0);

        /**
         * 年运行次数
         */
        pepd.setNyxcs(0.0);

        /**
         * 日受累次数
         */
        pepd.setRslcs(0.0);

        /**
         * 月受累次数
         */
        pepd.setYslcs(0.0);

        /**
         * 年受累次数
         */
        pepd.setNslcs(0.0);


    }

    public static void initial(ProEconEquipmentInfo15minute pepd) {
        /**
         * 15分钟故障小时（明细）
         */
        pepd.setFgzxsmx(0.0);

        /**
         * 15分钟场内受累故障小时（明细）
         */
        pepd.setFcnslgzxsmx(0.0);

        /**
         * 15分钟检修小时（明细）
         */
        pepd.setFjxxsmx(0.0);

        /**
         * 15分钟场内受累检修小时（明细）
         */
        pepd.setFcnsljxxsmx(0.0);

        /**
         * 15分钟待机小时（明细）
         */
        pepd.setFdjxsmx(0.0);

        /**
         * 15分钟缺陷降出力小时（明细）
         */
        pepd.setFqxjclxsmx(0.0);

        /**
         * 15分钟手动停机小时（明细）
         */
        pepd.setFsdtjxsmx(0.0);

        /**
         * 15分钟并网小时（明细）
         */
        pepd.setFbwxsmx(0.0);

        /**
         * 15分钟限电停机小时（明细）
         */
        pepd.setFxdtjxsmx(0.0);

        /**
         * 15分钟限电降出力小时（明细）
         */
        pepd.setFxdjclxsmx(0.0);

        /**
         * 15分钟场外受累电网小时（明细）
         */
        pepd.setFcwsldwxsmx(0.0);

        /**
         * 15分钟场外受累天气小时（明细）
         */
        pepd.setFcwsltqxsmx(0.0);

        /**
         * 15分钟离线小时（明细）
         */
        pepd.setFlxxsmx(0.0);

        /**
         * 15分钟通讯中断小时（明细）
         */
        pepd.setFtxzdxsmx(0.0);

        /**
         * 15分钟待机小时
         */
        pepd.setFdjxs(0.0);

        /**
         * 15分钟故障停机小时
         */
        pepd.setFgztjxs(0.0);

        /**
         * 15分钟通讯中断小时
         */
        pepd.setFtxzdxs(0.0);

        /**
         * 15分钟维护停机小时
         */
        pepd.setFjxtjxs(0.0);

        /**
         * 15分钟限电小时
         */
        pepd.setFxdxs(0.0);

        /**
         * 15分钟运行小时
         */
        pepd.setFyxxs(0.0);

        /**
         * 15分钟受累小时
         */
        pepd.setFslxs(0.0);

        /**
         * 15分钟平均风速
         */
        pepd.setFpjfs(0.0);

        /**
         * 15分钟平均功率
         */
        pepd.setFpjgl(0.0);

        /**
         * 15分钟发电量
         */
        pepd.setFfdl(0.0);

    }

    public static void initial(ProEconEquipmentInfoDay4 pepd) {
        /**
         * 日静风时长
         */
        pepd.setRjfsc(0.0);

        /**
         * 日有效风时数
         */
        pepd.setRyxfss(0.0);

        /**
         * 日小风切入风速
         */
        pepd.setRxfqrfs(0.0);

        /**
         * 日大风切入风速
         */
        pepd.setRdfqrfs(0.0);

        /**
         * 日小风切出风速
         */
        pepd.setRxfqcfs(0.0);

        /**
         * 日大风切出风速
         */
        pepd.setRdfqcfs(0.0);

        /**
         * 日额定风速
         */
        pepd.setRedfs(0.0);

        /**
         * 日功率一致性系数
         */
        pepd.setRglyzxxs(0.0);

        /**
         * 日拟合优度
         */
        pepd.setRnhyd(0.0);

        /**
         * 日曲线偏差率最优保证
         */
        pepd.setRqxpcbzybz(0.0);

        /**
         * 日曲线偏差率最优实际
         */
        pepd.setRqxpcbzysj(0.0);

        /**
         * 日曲线偏差率保证实际
         */
        pepd.setRqxpcbbzsj(0.0);

        /**
         * 日曲线偏差率同比
         */
        pepd.setRqxpcbtb(0.0);

        /**
         * 日曲线偏差率环比
         */
        pepd.setRqxpcbhb(0.0);

        /**
         * 日曲线偏差率标杆
         */
        pepd.setRqxpcbbg(0.0);

        /**
         * 日3-5米曲线偏差率
         */
        pepd.setR35mqxpcl(0.0);

        /**
         * 日5-11米曲线偏差率
         */
        pepd.setR511mqxpcl(0.0);

        /**
         * 日11米以上曲线偏差率
         */
        pepd.setR11mycqxpcl(0.0);

        /**
         * 日对风偏差率（-50 +50之间）
         */
        pepd.setRdfpcl(0.0);

        /**
         * 日MTBF
         */
        pepd.setRmtbf(0.0);

        /**
         * 日MTTR
         */
        pepd.setRmttr(0.0);

        /**
         * 日MTTF
         */
        pepd.setRmttf(0.0);

        /**
         * 日复位及时率
         */
        pepd.setRfwjsl(0.0);

        /**
         * 日状态转换及时率
         */
        pepd.setRztzhjsl(0.0);

        /**
         * 日故障消缺及时率
         */
        pepd.setRgzxqjsl(0.0);

        /**
         * 月静风时长
         */
        pepd.setYjfsc(0.0);

        /**
         * 月有效风时数
         */
        pepd.setYyxfss(0.0);

        /**
         * 月小风切入风速
         */
        pepd.setYxfqrfs(0.0);

        /**
         * 月大风切入风速
         */
        pepd.setYdfqrfs(0.0);

        /**
         * 月小风切出风速
         */
        pepd.setYxfqcfs(0.0);

        /**
         * 月大风切出风速
         */
        pepd.setYdfqcfs(0.0);

        /**
         * 月额定风速
         */
        pepd.setYedfs(0.0);

        /**
         * 月功率一致性系数
         */
        pepd.setYglyzxxs(0.0);

        /**
         * 月拟合优度
         */
        pepd.setYnhyd(0.0);

        /**
         * 月曲线偏差率最优保证
         */
        pepd.setYqxpcbzybz(0.0);

        /**
         * 月曲线偏差率最优实际
         */
        pepd.setYqxpcbzysj(0.0);

        /**
         * 月曲线偏差率保证实际
         */
        pepd.setYqxpcbbzsj(0.0);

        /**
         * 月曲线偏差率同比
         */
        pepd.setYqxpcbtb(0.0);

        /**
         * 月曲线偏差率环比
         */
        pepd.setYqxpcbhb(0.0);

        /**
         * 月曲线偏差率标杆
         */
        pepd.setYqxpcbbg(0.0);

        /**
         * 月3-5米曲线偏差率
         */
        pepd.setY35mqxpcl(0.0);

        /**
         * 月5-11米曲线偏差率
         */
        pepd.setY511mqxpcl(0.0);

        /**
         * 月11米以上曲线偏差率
         */
        pepd.setY11mycqxpcl(0.0);

        /**
         * 月对风偏差率（-50 +50之间）
         */
        pepd.setYdfpcl(0.0);

        /**
         * 月MTBF
         */
        pepd.setYmtbf(0.0);

        /**
         * 月MTTR
         */
        pepd.setYmttr(0.0);

        /**
         * 月MTTF
         */
        pepd.setYmttf(0.0);

        /**
         * 月复位及时率
         */
        pepd.setYfwjsl(0.0);

        /**
         * 月状态转换及时率
         */
        pepd.setYztzhjsl(0.0);

        /**
         * 月故障消缺及时率
         */
        pepd.setYgzxqjsl(0.0);

        /**
         * 年静风时长
         */
        pepd.setNjfsc(0.0);

        /**
         * 年有效风时数
         */
        pepd.setNyxfss(0.0);

        /**
         * 年小风切入风速
         */
        pepd.setNxfqrfs(0.0);

        /**
         * 年大风切入风速
         */
        pepd.setNdfqrfs(0.0);

        /**
         * 年小风切出风速
         */
        pepd.setNxfqcfs(0.0);

        /**
         * 年大风切出风速
         */
        pepd.setNdfqcfs(0.0);

        /**
         * 年额定风速
         */
        pepd.setNedfs(0.0);

        /**
         * 年功率一致性系数
         */
        pepd.setNglyzxxs(0.0);

        /**
         * 年拟合优度
         */
        pepd.setNnhyd(0.0);

        /**
         * 年曲线偏差率最优保证
         */
        pepd.setNqxpcbzybz(0.0);

        /**
         * 年曲线偏差率最优实际
         */
        pepd.setNqxpcbzysj(0.0);

        /**
         * 年曲线偏差率保证实际
         */
        pepd.setNqxpcbbzsj(0.0);

        /**
         * 年曲线偏差率同比
         */
        pepd.setNqxpcbtb(0.0);

        /**
         * 年曲线偏差率环比
         */
        pepd.setNqxpcbhb(0.0);

        /**
         * 年曲线偏差率标杆
         */
        pepd.setNqxpcbbg(0.0);

        /**
         * 年3-5米曲线偏差率
         */
        pepd.setN35mqxpcl(0.0);

        /**
         * 年5-11米曲线偏差率
         */
        pepd.setN511mqxpcl(0.0);

        /**
         * 年11米以上曲线偏差率
         */
        pepd.setN11mycqxpcl(0.0);

        /**
         * 年对风偏差率（-50 +50之间）
         */
        pepd.setNdfpcl(0.0);

        /**
         * 年MTBF
         */
        pepd.setNmtbf(0.0);

        /**
         * 年MTTR
         */
        pepd.setNmttr(0.0);

        /**
         * 年MTTF
         */
        pepd.setNmttf(0.0);

        /**
         * 年复位及时率
         */
        pepd.setNfwjsl(0.0);

        /**
         * 年状态转换及时率
         */
        pepd.setNztzhjsl(0.0);

        /**
         * 年故障消缺及时率
         */
        pepd.setNgzxqjsl(0.0);

    }

    public static void initial(ProEconEquipmentInfoDay5 pepd) {
        /**
         * 小于3米5分钟转换及时次数
         */
        pepd.setTimerate1(0.0);

        /**
         * 小于3米10分钟转换及时次数
         */
        pepd.setTimerate2(0.0);

        /**
         * 小于3米15分钟转换及时次数
         */
        pepd.setTimerate3(0.0);

        /**
         * 小于3米20分钟转换及时次数
         */
        pepd.setTimerate4(0.0);

        /**
         * 大于3米5分钟转换及时次数
         */
        pepd.setTimerate5(0.0);

        /**
         * 大于3米10分钟转换及时次数
         */
        pepd.setTimerate6(0.0);

        /**
         * 大于3米15分钟转换及时次数
         */
        pepd.setTimerate7(0.0);

        /**
         * 大于3米20分钟转换及时次数
         */
        pepd.setTimerate8(0.0);

        /**
         * 大于4米5分钟转换及时次数
         */
        pepd.setTimerate9(0.0);

        /**
         * 大于4米10分钟转换及时次数
         */
        pepd.setTimerate10(0.0);

        /**
         * 大于4米15分钟转换及时次数
         */
        pepd.setTimerate11(0.0);

        /**
         * 大于4米20分钟转换及时次数
         */
        pepd.setTimerate12(0.0);

        /**
         * 小于3米状态转换总次数
         */
        pepd.setTimerate13(0.0);

        /**
         * 大于3米状态转换总次数
         */
        pepd.setTimerate14(0.0);

        /**
         * 大于4米状态转换总次数
         */
        pepd.setTimerate15(0.0);

        /**
         * 5分钟复位及时次数
         */
        pepd.setTimerate16(0.0);

        /**
         * 10分钟复位及时次数
         */
        pepd.setTimerate17(0.0);

        /**
         * 15分钟复位及时次数
         */
        pepd.setTimerate18(0.0);

        /**
         * 20分钟复位及时次数
         */
        pepd.setTimerate19(0.0);

        /**
         * 总复位次数
         */
        pepd.setTimerate20(0.0);

        /**
         * 故障消缺及时次数
         */
        pepd.setTimerate21(0.0);

        /**
         * 故障消缺总次数
         */
        pepd.setTimerate22(0.0);
    }

    public static void initial(ProEconStateTransitionRates pepd) {
        /**
         * 小于3米5分钟转换及时次数
         */
        pepd.setTimerate1(0.0);

        /**
         * 小于3米10分钟转换及时次数
         */
        pepd.setTimerate2(0.0);

        /**
         * 小于3米15分钟转换及时次数
         */
        pepd.setTimerate3(0.0);

        /**
         * 小于3米20分钟转换及时次数
         */
        pepd.setTimerate4(0.0);

        /**
         * 大于3米5分钟转换及时次数
         */
        pepd.setTimerate5(0.0);

        /**
         * 大于3米10分钟转换及时次数
         */
        pepd.setTimerate6(0.0);

        /**
         * 大于3米15分钟转换及时次数
         */
        pepd.setTimerate7(0.0);

        /**
         * 大于3米20分钟转换及时次数
         */
        pepd.setTimerate8(0.0);

        /**
         * 大于4米5分钟转换及时次数
         */
        pepd.setTimerate9(0.0);

        /**
         * 大于4米10分钟转换及时次数
         */
        pepd.setTimerate10(0.0);

        /**
         * 大于4米15分钟转换及时次数
         */
        pepd.setTimerate11(0.0);

        /**
         * 大于4米20分钟转换及时次数
         */
        pepd.setTimerate12(0.0);

        /**
         * 小于3米状态转换总次数
         */
        pepd.setTimerate13(0.0);

        /**
         * 大于3米状态转换总次数
         */
        pepd.setTimerate14(0.0);

        /**
         * 大于4米状态转换总次数
         */
        pepd.setTimerate15(0.0);

        /**
         * 5分钟复位及时次数
         */
        pepd.setTimerate16(0.0);

        /**
         * 10分钟复位及时次数
         */
        pepd.setTimerate17(0.0);

        /**
         * 15分钟复位及时次数
         */
        pepd.setTimerate18(0.0);

        /**
         * 20分钟复位及时次数
         */
        pepd.setTimerate19(0.0);

        /**
         * 总复位次数
         */
        pepd.setTimerate20(0.0);

        /**
         * 故障消缺及时次数
         */
        pepd.setTimerate21(0.0);

        /**
         * 故障消缺总次数
         */
        pepd.setTimerate22(0.0);
    }

    public static void initial(ProEconPowerstationInfoDay4 pepd) {
        /**
         * 日MTBF
         */
        pepd.setRmtbf(0.0);

        /**
         * 日MTTR
         */
        pepd.setRmttr(0.0);

        /**
         * 日MTTF
         */
        pepd.setRmttf(0.0);

        /**
         * 日复位及时率
         */
        pepd.setRfwjsl(0.0);

        /**
         * 日状态转换及时率
         */
        pepd.setRztzhjsl(0.0);

        /**
         * 日故障消缺及时率
         */
        pepd.setRgzxqjsl(0.0);

        /**
         * 月MTBF
         */
        pepd.setYmtbf(0.0);

        /**
         * 月MTTR
         */
        pepd.setYmttr(0.0);

        /**
         * 月MTTF
         */
        pepd.setYmttf(0.0);

        /**
         * 月复位及时率
         */
        pepd.setYfwjsl(0.0);

        /**
         * 月状态转换及时率
         */
        pepd.setYztzhjsl(0.0);

        /**
         * 月故障消缺及时率
         */
        pepd.setYgzxqjsl(0.0);

        /**
         * 年MTBF
         */
        pepd.setNmtbf(0.0);

        /**
         * 年MTTR
         */
        pepd.setNmttr(0.0);

        /**
         * 年MTTF
         */
        pepd.setNmttf(0.0);

        /**
         * 年复位及时率
         */
        pepd.setNfwjsl(0.0);

        /**
         * 年状态转换及时率
         */
        pepd.setNztzhjsl(0.0);

        /**
         * 年故障消缺及时率
         */
        pepd.setNgzxqjsl(0.0);
    }


    public static void initial(ProEconWtAlysisDay pepd) {

        /**
         * 日发电量
         */
        pepd.setRfdl(0.0);

        /**
         * 月发电量
         */
        pepd.setYfdl(0.0);

        /**
         * 年发电量
         */
        pepd.setNfdl(0.0);

        /**
         * 日应发电量
         */
        pepd.setRyfdl(0.0);

        /**
         * 月应发电量
         */
        pepd.setYyfdl(0.0);

        /**
         * 年应发电量
         */
        pepd.setNyfdl(0.0);

        /**
         * 日平均功率
         */
        pepd.setRpjgl(0.0);

        /**
         * 月平均功率
         */
        pepd.setYpjgl(0.0);

        /**
         * 年平均功率
         */
        pepd.setNpjgl(0.0);

        /**
         * 日平均风速
         */
        pepd.setRpjfs(0.0);

        /**
         * 月平均风速
         */
        pepd.setYpjfs(0.0);

        /**
         * 年平均风速
         */
        pepd.setNpjfs(0.0);

        /**
         * 日运行小时
         */
        pepd.setRyxxs(0.0);

        /**
         * 月运行小时
         */
        pepd.setYyxxs(0.0);

        /**
         * 年运行小时
         */
        pepd.setNyxxs(0.0);

        /**
         * 日待机小时
         */
        pepd.setRdjxs(0.0);

        /**
         * 月待机小时
         */
        pepd.setYdjxs(0.0);

        /**
         * 年待机小时
         */
        pepd.setNdjxs(0.0);

        /**
         * 日故障小时
         */
        pepd.setRgzxs(0.0);

        /**
         * 月故障小时
         */
        pepd.setYgzxs(0.0);

        /**
         * 年故障小时
         */
        pepd.setNgzxs(0.0);

        /**
         * 日检修小时
         */
        pepd.setRjxxs(0.0);

        /**
         * 月检修小时
         */
        pepd.setYjxxs(0.0);

        /**
         * 年检修小时
         */
        pepd.setNjxxs(0.0);

        /**
         * 日中断小时
         */
        pepd.setRzdxs(0.0);

        /**
         * 月中断小时
         */
        pepd.setYzdxs(0.0);

        /**
         * 年中断小时
         */
        pepd.setNzdxs(0.0);

        /**
         * 日有效风时
         */
        pepd.setRyxfs(0.0);

        /**
         * 月有效风时
         */
        pepd.setYyxfs(0.0);

        /**
         * 年有效风时
         */
        pepd.setNyxfs(0.0);

        /**
         * 日损失电量
         */
        pepd.setRssdl(0.0);

        /**
         * 月损失电量
         */
        pepd.setYssdl(0.0);

        /**
         * 年损失电量
         */
        pepd.setNssdl(0.0);

        /**
         * 日报警次数
         */
        pepd.setRbjcs(0.0);

        /**
         * 月报警次数
         */
        pepd.setYbjcs(0.0);

        /**
         * 年报警次数
         */
        pepd.setNbjcs(0.0);

        /**
         * 日停机次数
         */
        pepd.setRtjcs(0.0);

        /**
         * 月停机次数
         */
        pepd.setYtjcs(0.0);

        /**
         * 年停机次数
         */
        pepd.setNtjcs(0.0);

        /**
         * 日不饱和次数
         */
        pepd.setRbbhcs(0.0);

        /**
         * 月不饱和次数
         */
        pepd.setYbbhcs(0.0);

        /**
         * 年不饱和次数
         */
        pepd.setNbbhcs(0.0);

        /**
         * 日设备可利用率
         */
        pepd.setRsbklyl(0.0);

        /**
         * 月设备可利用率
         */
        pepd.setYsbklyl(0.0);

        /**
         * 年设备可利用率
         */
        pepd.setNsbklyl(0.0);

        /**
         * 日平均温度
         */
        pepd.setRpjwd(0.0);

        /**
         * 月平均温度
         */
        pepd.setYpjwd(0.0);

        /**
         * 年平均温度
         */
        pepd.setNpjwd(0.0);

        /**
         * 日平均湿度
         */
        pepd.setRpjsd(0.0);

        /**
         * 月平均湿度
         */
        pepd.setYpjsd(0.0);

        /**
         * 年平均湿度
         */
        pepd.setNpjsd(0.0);

        /**
         * 日平均压强
         */
        pepd.setRpjyq(0.0);

        /**
         * 月平均压强
         */
        pepd.setYpjyq(0.0);

        /**
         * 年平均压强
         */
        pepd.setNpjyq(0.0);

        /**
         * 日拟合优度
         */
        pepd.setRnhyd(0.0);

        /**
         * 月拟合优度
         */
        pepd.setYnhyd(0.0);

        /**
         * 年拟合优度
         */
        pepd.setNnhyd(0.0);

        /**
         * 日实际/保证
         */
        pepd.setRsjbz(0.0);

        /**
         * 月实际/保证
         */
        pepd.setYsjbz(0.0);

        /**
         * 年实际/保正
         */
        pepd.setNsjbz(0.0);
    }
}
